{
  "$id": "urn:mars:schema:v1:siws-challenge-request",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "description": "Request body for `POST /v1/auth/siws/challenge`.",
  "properties": {
    "audience": {
      "description": "Required audience shown to the signer.",
      "minLength": 1,
      "type": "string"
    },
    "chainId": {
      "description": "Sigil chain identifier.",
      "type": [
        "string",
        "null"
      ]
    },
    "hmrDid": {
      "description": "HMR DID required to satisfy the challenge.",
      "type": [
        "string",
        "null"
      ]
    },
    "origin": {
      "description": "Browser or application origin.",
      "type": [
        "string",
        "null"
      ]
    },
    "rootDid": {
      "description": "Optional HMR, MHR, or ENR root DID.",
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "audience"
  ],
  "title": "SiwsChallengeRequest",
  "type": "object"
}
